VSTGUI: Buffer< T, Allocator > Class Template Reference

VSTGUI 4.10 Graphical User Interface Framework not only for VST plugins

Loading...
Searching...
No Matches
Public Member Functions | List of all members
Buffer< T, Allocator > Class Template Referencefinal

`#include <malloc.h>`

## Public Member Functions
| Buffer ()=default
| Buffer (size_t objectCount)
| Buffer (Buffer &&other)
Buffer & | operator= (Buffer &&other)
| Buffer (const Buffer &)=delete
Buffer & | operator= (const Buffer &)=delete
| ~Buffer () noexcept
T * | data ()
const T * | data () const
T * | get ()
const T * | get () const
T & | operator[] (size_t index)
const T & | operator[] (size_t index) const
T * | begin () noexcept
T * | end () noexcept
const T * | begin () const noexcept
const T * | end () const noexcept
size_t | size () const
bool | empty () const
void | allocate (size_t objectCount)
void | deallocate ()

## Constructor & Destructor Documentation

## ◆ Buffer() [1/4]

template<typename T, typename Allocator = MallocAllocator>

Buffer | ( |  | ) |
| default

## ◆ Buffer() [2/4]

template<typename T, typename Allocator = MallocAllocator>

Buffer | ( | size_t | objectCount | ) |
| inline

## ◆ Buffer() [3/4]

template<typename T, typename Allocator = MallocAllocator>

Buffer | ( | Buffer< T, Allocator > && | other | ) |
| inline

## ◆ Buffer() [4/4]

template<typename T, typename Allocator = MallocAllocator>

Buffer | ( | const Buffer< T, Allocator > & |  | ) |
| delete

## ◆ ~Buffer()

template<typename T, typename Allocator = MallocAllocator>

~Buffer | ( |  | ) |
| inlinenoexcept

## Member Function Documentation

## ◆ allocate()

template<typename T, typename Allocator = MallocAllocator>

void allocate | ( | size_t | objectCount | ) |
| inline

## ◆ begin() [1/2]

template<typename T, typename Allocator = MallocAllocator>

const T * begin | ( |  | ) | const
| inlinenoexcept

## ◆ begin() [2/2]

template<typename T, typename Allocator = MallocAllocator>

T * begin | ( |  | ) |
| inlinenoexcept

## ◆ data() [1/2]

template<typename T, typename Allocator = MallocAllocator>

T * data | ( |  | ) |
| inline

## ◆ data() [2/2]

template<typename T, typename Allocator = MallocAllocator>

const T * data | ( |  | ) | const
| inline

## ◆ deallocate()

template<typename T, typename Allocator = MallocAllocator>

void deallocate | ( |  | ) |
| inline

## ◆ empty()

template<typename T, typename Allocator = MallocAllocator>

bool empty | ( |  | ) | const
| inline

## ◆ end() [1/2]

template<typename T, typename Allocator = MallocAllocator>

const T * end | ( |  | ) | const
| inlinenoexcept

## ◆ end() [2/2]

template<typename T, typename Allocator = MallocAllocator>

T * end | ( |  | ) |
| inlinenoexcept

## ◆ get() [1/2]

template<typename T, typename Allocator = MallocAllocator>

T * get | ( |  | ) |
| inline

## ◆ get() [2/2]

template<typename T, typename Allocator = MallocAllocator>

const T * get | ( |  | ) | const
| inline

## ◆ operator=() [1/2]

template<typename T, typename Allocator = MallocAllocator>

Buffer & operator= | ( | Buffer< T, Allocator > && | other | ) |
| inline

## ◆ operator=() [2/2]

template<typename T, typename Allocator = MallocAllocator>

Buffer & operator= | ( | const Buffer< T, Allocator > & |  | ) |
| delete

## ◆ operator[]() [1/2]

template<typename T, typename Allocator = MallocAllocator>

T & operator[] | ( | size_t | index | ) |
| inline

## ◆ operator[]() [2/2]

template<typename T, typename Allocator = MallocAllocator>

const T & operator[] | ( | size_t | index | ) | const
| inline

## ◆ size()

template<typename T, typename Allocator = MallocAllocator>

size_t size | ( |  | ) | const
| inline

The documentation for this class was generated from the following file:

- malloc.h